from ixnetwork_restpy.base import Base
from ixnetwork_restpy.files import Files


class Ptp(Base):
	"""Precision Time Protocol
	"""

	_SDM_NAME = 'ptp'

	def __init__(self, parent):
		super(Ptp, self).__init__(parent)

	@property
	def PtpNegBehaveList(self):
		"""Returns the one and only one PtpNegBehaveList object from the server.

		Returns:
			obj(ixnetwork_restpy.testplatform.sessions.ixnetwork.topology.ptpnegbehavelist.PtpNegBehaveList)

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		from ixnetwork_restpy.testplatform.sessions.ixnetwork.topology.ptpnegbehavelist import PtpNegBehaveList
		return self._read(PtpNegBehaveList(self), None)

	@property
	def SendgPtpSignalingParams(self):
		"""Returns the one and only one SendgPtpSignalingParams object from the server.

		Returns:
			obj(ixnetwork_restpy.testplatform.sessions.ixnetwork.topology.sendgptpsignalingparams.SendgPtpSignalingParams)

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		from ixnetwork_restpy.testplatform.sessions.ixnetwork.topology.sendgptpsignalingparams import SendgPtpSignalingParams
		return self._read(SendgPtpSignalingParams(self), None)

	@property
	def AlternateMasterFlag(self):
		"""Select this check box to set the Alternate Master flag in all Announce and Sync messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('alternateMasterFlag')

	@property
	def AnnounceCurrentUtcOffsetValid(self):
		"""Set Announce currentUtcOffsetValid bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceCurrentUtcOffsetValid')

	@property
	def AnnounceDropRate(self):
		"""Percentage rate of the dropped Announce messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceDropRate')

	@property
	def AnnounceFrequencyTraceable(self):
		"""Set Announce frequency traceable bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceFrequencyTraceable')

	@property
	def AnnounceLeap59(self):
		"""Set Announce leap59 bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceLeap59')

	@property
	def AnnounceLeap61(self):
		"""Set Announce leap61 bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceLeap61')

	@property
	def AnnouncePtpTimescale(self):
		"""Set Announce ptpTimescale bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announcePtpTimescale')

	@property
	def AnnounceReceiptTimeout(self):
		"""The number of Announce Intervals that have to pass without receipt of an Announce message to trigger timeout

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceReceiptTimeout')

	@property
	def AnnounceTimeTraceable(self):
		"""Set Announce time traceable bit

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('announceTimeTraceable')

	@property
	def AvnuMode(self):
		"""AVNU Mode

		Returns:
			str(aVNU_GPTP|aVNU_NA)
		"""
		return self._get_attribute('avnuMode')
	@AvnuMode.setter
	def AvnuMode(self, value):
		self._set_attribute('avnuMode', value)

	@property
	def Bmca(self):
		"""Run the Best Master Clock Algorithm for gPTP (if disabled can use a pre-defined Master or accept messages from any source)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('bmca')

	@property
	def ClockAccuracy(self):
		"""Clock accuracy

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('clockAccuracy')

	@property
	def ClockClass(self):
		"""Traceability of the time or frequency distributed by the grandmaster clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('clockClass')

	@property
	def ClockIdentity(self):
		"""Defines the ClockIdentity to be used by this device

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('clockIdentity')

	@property
	def CommunicationMode(self):
		"""Communication mode (unicast/multicast/mixed)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('communicationMode')

	@property
	def ConnectedVia(self):
		"""List of layers this layer used to connect to the wire

		Returns:
			list(str[None|/api/v1/sessions/1/ixnetwork/topology?deepchild=*])
		"""
		return self._get_attribute('connectedVia')
	@ConnectedVia.setter
	def ConnectedVia(self, value):
		self._set_attribute('connectedVia', value)

	@property
	def Count(self):
		"""Number of elements inside associated multiplier-scaled container object, e.g. number of devices inside a Device Group

		Returns:
			number
		"""
		return self._get_attribute('count')

	@property
	def CumulativeScaledRateOffset(self):
		"""Cumulative Scaled Rate Offset field set in the gPTP FollowUp TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('cumulativeScaledRateOffset')

	@property
	def CurrentUtcOffset(self):
		"""Set announced Current UTC Offset (seconds)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('currentUtcOffset')

	@property
	def CustomClockId(self):
		"""Use the ClockIdentity configured in the next column instead of MAC based generated one

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('customClockId')

	@property
	def DelayMechanism(self):
		"""Clock delay mechanism

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayMechanism')

	@property
	def DelayReqDropRate(self):
		"""Percentage rate of the dropped (P)DelayReq messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayReqDropRate')

	@property
	def DelayReqOffset(self):
		"""Percentage of the agreed (P)DelayReq Inter-arrival time to schedule between two subsequent DelayReq messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayReqOffset')

	@property
	def DelayReqResidenceTime(self):
		"""Residence time of (P)DelayReq messages through an associated one-step end-to-end transparent clock inserted in the correction field of (P)DelayReq messages sent by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayReqResidenceTime')

	@property
	def DelayReqSpread(self):
		"""Distribute (P)DelayReq messages in an interval around the targeted Inter-arrival mean time (expressed as a % of targeted mean)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayReqSpread')

	@property
	def DelayRespDropRate(self):
		"""Percentage rate of the dropped DelayResp messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayRespDropRate')

	@property
	def DelayRespReceiptTimeout(self):
		"""DelayResponse Receipt Timeout in seconds

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayRespReceiptTimeout')

	@property
	def DelayRespResidenceTime(self):
		"""Residence time of DelayReq messages through an associated two-step end-to-end transparent clock inserted in the correction field of DelayResp messages sent by this clock, or the residence time of PdelayResp messages through an associated one-step end-to-end transparent clock inserted in the correction field of PdelayResp messages sent by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayRespResidenceTime')

	@property
	def DelayResponseDelay(self):
		"""Additional delay introduced in the DelayResp message (nanoseconds)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayResponseDelay')

	@property
	def DelayResponseDelayInsertionRate(self):
		"""Percentage rate of the DelayResp messages in which the delay is introduced

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('delayResponseDelayInsertionRate')

	@property
	def DescriptiveName(self):
		"""Longer, more descriptive name for element. It's not guaranteed to be unique like -name-, but maybe offers more context

		Returns:
			str
		"""
		return self._get_attribute('descriptiveName')

	@property
	def Domain(self):
		"""PTP Domain

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('domain')

	@property
	def DropMalformed(self):
		"""Drop packets that for which fields like Domain, message rates, Clock Class, Clock Accuracy and Offset Scaled Log Variance are not respecting strict G8275.1 imposed intervals

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('dropMalformed')

	@property
	def DropSignalReqAnnounce(self):
		"""Select this check box to drop any Signal Request that contains Announce TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('dropSignalReqAnnounce')

	@property
	def DropSignalReqDelayResp(self):
		"""Select this check box to drop any Signal Request that contains DelayResp TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('dropSignalReqDelayResp')

	@property
	def DropSignalReqSync(self):
		"""Select this check box to drop any Signal Request that contains Sync TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('dropSignalReqSync')

	@property
	def EnableNegativeTesting(self):
		"""Enable Negative Conformance Test

		Returns:
			bool
		"""
		return self._get_attribute('enableNegativeTesting')
	@EnableNegativeTesting.setter
	def EnableNegativeTesting(self, value):
		self._set_attribute('enableNegativeTesting', value)

	@property
	def Errors(self):
		"""A list of errors that have occurred

		Returns:
			list(dict(arg1:str[None|/api/v1/sessions/1/ixnetwork/?deepchild=*],arg2:list[str]))
		"""
		return self._get_attribute('errors')

	@property
	def FollowUpBadCrcRate(self):
		"""Percentage rate of the bad crc FollowUp messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('followUpBadCrcRate')

	@property
	def FollowUpDelay(self):
		"""Additional delay introduced in the FollowUp message timestamp (ns)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('followUpDelay')

	@property
	def FollowUpDelayInsertionRate(self):
		"""Percentage rate of the FollowUp messages in which the delay is introduced

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('followUpDelayInsertionRate')

	@property
	def FollowUpDropRate(self):
		"""Percentage rate of the dropped FollowUp messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('followUpDropRate')

	@property
	def FollowUpResidenceTime(self):
		"""Master to slave residence of Sync messages through an associated two-step transparent clock inserted in the correction field of FollowUp messages sent by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('followUpResidenceTime')

	@property
	def Frequency(self):
		"""Frequency(N)

		Returns:
			number
		"""
		return self._get_attribute('frequency')
	@Frequency.setter
	def Frequency(self, value):
		self._set_attribute('frequency', value)

	@property
	def GmTimeBaseIndicator(self):
		"""GM Time Base Indicator field set in the gPTP FollowUp TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('gmTimeBaseIndicator')

	@property
	def GrandmasterIdentity(self):
		"""Defines the ClockIdentity of the Grandmaster behind this device

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('grandmasterIdentity')

	@property
	def GrantDelayRespDurationInterval(self):
		"""Value of DurationField in REQUEST_UNICAST_TRANSMISSION_TLV for DelayResp messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('grantDelayRespDurationInterval')

	@property
	def GrantSyncDurationInterval(self):
		"""Value of DurationField in REQUEST_UNICAST_TRANSMISSION_TLV for Sync messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('grantSyncDurationInterval')

	@property
	def GrantUnicastDurationInterval(self):
		"""Value of DurationField in REQUEST_UNICAST_TRANSMISSION_TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('grantUnicastDurationInterval')

	@property
	def HandleAnnounceTlv(self):
		"""Send and respond to Announce TLV unicast requests in signal messages.

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('handleAnnounceTlv')

	@property
	def HandleCancelTlv(self):
		"""Send and respond to Cancel TLV unicast requests in signal messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('handleCancelTlv')

	@property
	def LastGmPhaseChange(self):
		"""Last GM Phase Change nanoseconds set in the gPTP FollowUp TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('lastGmPhaseChange')

	@property
	def LearnPortId(self):
		"""Slave learns Master Port ID

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('learnPortId')

	@property
	def LogAnnounceInterval(self):
		"""The log mean time interval between successive Announce messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('logAnnounceInterval')

	@property
	def LogDelayReqInterval(self):
		"""The log mean time interval between successive (P)DelayReq messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('logDelayReqInterval')

	@property
	def LogSyncInterval(self):
		"""The log mean time interval between successive Sync messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('logSyncInterval')

	@property
	def MasterClockId(self):
		"""Displays the Clock ID of the directly connected master port (might not necessarily be the Grandmaster of the system). If simulating a Boundary port it will show the configured Clock ID of the emulated Grandmaster.

		Returns:
			list(obj(ixnetwork_restpy.multivalue.Multivalue))
		"""
		return self._get_attribute('masterClockId')

	@property
	def MasterCount(self):
		"""The total number of Unicast masters to be used for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterCount')

	@property
	def MasterIpAddress(self):
		"""Defines the base address to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterIpAddress')

	@property
	def MasterIpIncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterIpIncrementBy')

	@property
	def MasterIpv6Address(self):
		"""Defines the base address to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterIpv6Address')

	@property
	def MasterIpv6IncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterIpv6IncrementBy')

	@property
	def MasterMacAddress(self):
		"""Defines the base address to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterMacAddress')

	@property
	def MasterMacIncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this slave

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('masterMacIncrementBy')

	@property
	def MulticastAddress(self):
		"""The destination multicast address for G8275.1: non-forwardable (01:80:C2:00:00:0E, recommended) or forwardable (01:1B:19:00:00:00)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('multicastAddress')

	@property
	def Multiplier(self):
		"""Number of layer instances per parent instance (multiplier)

		Returns:
			number
		"""
		return self._get_attribute('multiplier')
	@Multiplier.setter
	def Multiplier(self, value):
		self._set_attribute('multiplier', value)

	@property
	def Name(self):
		"""Name of NGPF element, guaranteed to be unique in Scenario

		Returns:
			str
		"""
		return self._get_attribute('name')
	@Name.setter
	def Name(self, value):
		self._set_attribute('name', value)

	@property
	def NanosecondsPerSecond(self):
		"""The number of nanoseconds the emulated clock should effectively count for one second of hardware ticks

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('nanosecondsPerSecond')

	@property
	def NotSlave(self):
		"""When enabled for Master clocks it prevents a G8275.1 port from going into Slave state, by ignoring Announce messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('notSlave')

	@property
	def NumberOFMsgs(self):
		"""Messages Count

		Returns:
			number
		"""
		return self._get_attribute('numberOFMsgs')
	@NumberOFMsgs.setter
	def NumberOFMsgs(self, value):
		self._set_attribute('numberOFMsgs', value)

	@property
	def OffsetScaledLogVariance(self):
		"""Static Offset Scaled Log Variance of this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('offsetScaledLogVariance')

	@property
	def OneWay(self):
		"""Do not send Delay Requests

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('oneWay')

	@property
	def PDelayFollowUpDelay(self):
		"""Additional delay introduced in the PdelayResp FollowUp message (ns)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('pDelayFollowUpDelay')

	@property
	def PDelayFollowUpDelayInsertionRate(self):
		"""Percentage rate of the PdelayResp FollowUp messages in which the delay is introduced

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('pDelayFollowUpDelayInsertionRate')

	@property
	def PDelayFollowUpDropRate(self):
		"""Percentage rate of the dropped PdelayResp FollowUp messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('pDelayFollowUpDropRate')

	@property
	def PDelayFollowUpResidenceTime(self):
		"""Total residence time of PdelayReq and PdelayResp messagews through an associated two-step end-to-end transparent clock inserted in the correction field of PdelayRespFollowUp messages sent by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('pDelayFollowUpResidenceTime')

	@property
	def PathTraceTLV(self):
		"""If selected, the master will append a Path Trace TLV to Announce messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('pathTraceTLV')

	@property
	def PortNumber(self):
		"""Port number

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('portNumber')

	@property
	def Priority1(self):
		"""PTP priority1.

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('priority1')

	@property
	def Priority2(self):
		"""PTP priority2

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('priority2')

	@property
	def Profile(self):
		"""The profile used by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('profile')

	@property
	def PtpState(self):
		"""Displays the current PTP State

		Returns:
			list(str[disabled|faulty|grandmaster|initializing|listening|master|passive|preMaster|slave|transparentGrandmaster|transparentMaster|uncalibrated])
		"""
		return self._get_attribute('ptpState')

	@property
	def RenewalInvited(self):
		"""Set the Renewal Invited flag in Grant Unicast Transmission TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('renewalInvited')

	@property
	def RequestAttempts(self):
		"""How many succesive requests a slave can request before entering into holddown

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('requestAttempts')

	@property
	def RequestHolddown(self):
		"""Time between succesive requests if denied/timeout for Signal Request

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('requestHolddown')

	@property
	def RequestInterval(self):
		"""Time between succesive requests if denied/timeout for Signal Request

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('requestInterval')

	@property
	def ReverseSync(self):
		"""As a slave, periodically send Reverse Sync messages with recovered clock. As a master, calculate the Offset of the Slave reported time to master time

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('reverseSync')

	@property
	def ReverseSyncIntervalPercent(self):
		"""The percentage of incoming Sync interval to use for Reverse Sync interval

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('reverseSyncIntervalPercent')

	@property
	def Role(self):
		"""The desired role of this clock (Masters may become Slave as per BMCA)

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('role')

	@property
	def RxCalibration(self):
		"""The amount of time (in ns) that the Receive side timestamp needs to be offset to allow for error

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('rxCalibration')

	@property
	def ScaledLastGmFreqChange(self):
		"""Scaled Last GM Freq Change field set in the gPTP FollowUp TLV

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('scaledLastGmFreqChange')

	@property
	def SendMulticastAnnounce(self):
		"""Send multicast Announce messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('sendMulticastAnnounce')

	@property
	def SessionInfo(self):
		"""Logs additional information about the session state

		Returns:
			list(str[announceReceiptTimeout|delayRespReceiptTimeout|g82651Layer|g82751ClockAccuracy|g82751ClockClass|g82751Domain|g82751Layer|g82751LogVariance|g82751Priority1|g82751Rates|g82751VLANs|gPTPLayer|handleAnnounceTlvUnckecked|multipleP2PResponses|noAnnounce|none|p2PMixedMode|pathTraceDropAnnounce|signalAnnounceTimeout|signalDelayRespTimeout|signalIntervalGrantDelayRespDuration|signalIntervalGrantDuration|signalIntervalGrantSyncDuration|signalSyncTimeout|syncReceiptTimeout|syncReceiptTimeoutgPTP])
		"""
		return self._get_attribute('sessionInfo')

	@property
	def SessionStatus(self):
		"""Current state of protocol session: Not Started - session negotiation not started, the session is not active yet. Down - actively trying to bring up a protocol session, but negotiation is didn't successfully complete (yet). Up - session came up successfully.

		Returns:
			list(str[down|notStarted|up])
		"""
		return self._get_attribute('sessionStatus')

	@property
	def SignalInterval(self):
		"""Time between Signal Request messages, in seconds

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('signalInterval')

	@property
	def SignalUnicastHandling(self):
		"""Signal unicast handling

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('signalUnicastHandling')

	@property
	def SimulateBoundary(self):
		"""Simulate a Grandmaster port behind this clock acting as a Boundary clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('simulateBoundary')

	@property
	def SimulateTransparent(self):
		"""Simulate a transparent clock in front of this master clock.

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('simulateTransparent')

	@property
	def SlaveCount(self):
		"""The total number of Unicast slaves to be used for this master.

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveCount')

	@property
	def SlaveIpAddress(self):
		"""Defines the base address to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveIpAddress')

	@property
	def SlaveIpIncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveIpIncrementBy')

	@property
	def SlaveIpv6Address(self):
		"""Defines the base address to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveIpv6Address')

	@property
	def SlaveIpv6IncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveIpv6IncrementBy')

	@property
	def SlaveMacAddress(self):
		"""Defines the base address to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveMacAddress')

	@property
	def SlaveMacIncrementBy(self):
		"""Defines the increment to be used for enumerating all the addresses for this master

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('slaveMacIncrementBy')

	@property
	def StackedLayers(self):
		"""List of secondary (many to one) child layer protocols

		Returns:
			list(str[None|/api/v1/sessions/1/ixnetwork/topology?deepchild=*])
		"""
		return self._get_attribute('stackedLayers')
	@StackedLayers.setter
	def StackedLayers(self, value):
		self._set_attribute('stackedLayers', value)

	@property
	def StateCounts(self):
		"""A list of values that indicates the total number of sessions, the number of sessions not started, the number of sessions down and the number of sessions that are up

		Returns:
			dict(total:number,notStarted:number,down:number,up:number)
		"""
		return self._get_attribute('stateCounts')

	@property
	def Status(self):
		"""Running status of associated network element. Once in Started state, protocol sessions will begin to negotiate.

		Returns:
			str(configured|error|mixed|notStarted|started|starting|stopping)
		"""
		return self._get_attribute('status')

	@property
	def StepMode(self):
		"""Clock step mode

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('stepMode')

	@property
	def StepsRemoved(self):
		"""The Steps Removed field advertised in Announce Messages, representing the number of hops between this emulated Boundary clock and the Grandmaster clock (including it). Valid values: 0 to 65,535

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('stepsRemoved')

	@property
	def StrictGrant(self):
		"""If selected, the master will not grant values that are above maximum offered values

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('strictGrant')

	@property
	def SyncDropRate(self):
		"""Percentage rate of the dropped Sync messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('syncDropRate')

	@property
	def SyncReceiptTimeout(self):
		"""The number of seconds that have to pass without receipt of an Sync message to trigger timeout

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('syncReceiptTimeout')

	@property
	def SyncReceiptTimeoutgPTP(self):
		"""The number of Sync Intervals that have to pass without receipt of an Sync message to trigger timeout

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('syncReceiptTimeoutgPTP')

	@property
	def SyncResidenceTime(self):
		"""Master to slave residence time of Sync messages through an associated one-step transparent clock inserted in the correction field of Sync messages sent by this clock

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('syncResidenceTime')

	@property
	def TimeSource(self):
		"""Time source for the PTP device

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('timeSource')

	@property
	def TimestampOffset(self):
		"""The initial offset added to the local clock when starting the session

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('timestampOffset')

	@property
	def TxCalibration(self):
		"""The amount of time (in ns) that the transmit timestamp of one step messages (Sync, PdelayResp) needs to be adjusted for error

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('txCalibration')

	@property
	def TxTwoStepCalibration(self):
		"""The amount of time (in ns) that the read transmit timestamp of sent messages (two-step Sync, DelayReq, PdelayReq, two-step PdelayResp) needs to be adjusted for error

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('txTwoStepCalibration')

	@property
	def UpdateTime(self):
		"""Clocks in Slave role will correct their time based on received Sync messages

		Returns:
			obj(ixnetwork_restpy.multivalue.Multivalue)
		"""
		return self._get_attribute('updateTime')

	def remove(self):
		"""Deletes a child instance of Ptp on the server.

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		self._delete()

	def FetchAndUpdateConfigFromCloud(self, Mode):
		"""Executes the fetchAndUpdateConfigFromCloud operation on the server.

		Args:
			Mode (str): 

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('fetchAndUpdateConfigFromCloud', payload=locals(), response_object=None)

	def GPtpSendSignaling(self, LinkDelayInterval, TimeSyncInterval, AnnounceInterval, ComputeNeighborRateRatio, ComputeNeighborPropDelay):
		"""Executes the gPtpSendSignaling operation on the server.

		Send Signaling messages for the selected PTP IEEE 802.1AS items.

		Args:
			LinkDelayInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a linkDelayInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			TimeSyncInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a timeSyncInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			AnnounceInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a announceInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			ComputeNeighborRateRatio (bool): This parameter requires a computeNeighborRateRatio of type kBool
			ComputeNeighborPropDelay (bool): This parameter requires a computeNeighborPropDelay of type kBool

		Returns:
			list(dict(port:str[None|/api/v1/sessions/1/ixnetwork/vport],isSuccess:bool,data:str)): The return value is an array of structures where each structure consists of a /vport object reference, the success of the operation and the returned data of the operation for that /vport. This exec is not asynchronous.

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('gPtpSendSignaling', payload=locals(), response_object=None)

	def GPtpSendSignaling(self, LinkDelayInterval, TimeSyncInterval, AnnounceInterval, ComputeNeighborRateRatio, ComputeNeighborPropDelay, SessionIndices):
		"""Executes the gPtpSendSignaling operation on the server.

		Send Signaling messages for the selected PTP IEEE 802.1AS items.

		Args:
			LinkDelayInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a linkDelayInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			TimeSyncInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a timeSyncInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			AnnounceInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a announceInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			ComputeNeighborRateRatio (bool): This parameter requires a computeNeighborRateRatio of type kBool
			ComputeNeighborPropDelay (bool): This parameter requires a computeNeighborPropDelay of type kBool
			SessionIndices (list(number)): This parameter requires an array of session numbers 0 1 2 3

		Returns:
			list(dict(port:str[None|/api/v1/sessions/1/ixnetwork/vport],isSuccess:bool,data:str)): The return value is an array of structures where each structure consists of a /vport object reference, the success of the operation and the returned data of the operation for that /vport. This exec is not asynchronous.

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('gPtpSendSignaling', payload=locals(), response_object=None)

	def GPtpSendSignaling(self, SessionIndices, LinkDelayInterval, TimeSyncInterval, AnnounceInterval, ComputeNeighborRateRatio, ComputeNeighborPropDelay):
		"""Executes the gPtpSendSignaling operation on the server.

		Send Signaling messages for the selected PTP IEEE 802.1AS items.

		Args:
			SessionIndices (str): This parameter requires a linkDelayInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			LinkDelayInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a timeSyncInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			TimeSyncInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a announceInterval of type kEnumValue=enumOpt-DoNotChange,enumOpt-Initial,enumOpt-Stop,enumOpt-V0_1_per_second_,enumOpt-V1_1_per_2_seconds_,enumOpt-V2_1_per_4_seconds_,enumOpt-V3_1_per_8_seconds_,enumOpt-V4_1_per_16_seconds_,enumOpt-V5_1_per_32_seconds_,enumOpt-V6_1_per_64_seconds_,enumOpt-V7_1_per_128_seconds_,enumOpt-V8_1_per_256_seconds_,enumOpt-V9_1_per_512_seconds_,enumOpt-Vneg1_2_per_second_,enumOpt-Vneg2_4_per_second_,enumOpt-Vneg3_8_per_second_,enumOpt-Vneg4_16_per_second_,enumOpt-Vneg5_32_per_second_,enumOpt-Vneg6_64_per_second_,enumOpt-Vneg7_128_per_second_,enumOpt-Vneg8_256_per_second_,enumOpt-Vneg9_512_per_second_
			AnnounceInterval (str(enumOpt-DoNotChange|enumOpt-Initial|enumOpt-Stop|enumOpt-V0_1_per_second_|enumOpt-V1_1_per_2_seconds_|enumOpt-V2_1_per_4_seconds_|enumOpt-V3_1_per_8_seconds_|enumOpt-V4_1_per_16_seconds_|enumOpt-V5_1_per_32_seconds_|enumOpt-V6_1_per_64_seconds_|enumOpt-V7_1_per_128_seconds_|enumOpt-V8_1_per_256_seconds_|enumOpt-V9_1_per_512_seconds_|enumOpt-Vneg1_2_per_second_|enumOpt-Vneg2_4_per_second_|enumOpt-Vneg3_8_per_second_|enumOpt-Vneg4_16_per_second_|enumOpt-Vneg5_32_per_second_|enumOpt-Vneg6_64_per_second_|enumOpt-Vneg7_128_per_second_|enumOpt-Vneg8_256_per_second_|enumOpt-Vneg9_512_per_second_)): This parameter requires a computeNeighborRateRatio of type kBool
			ComputeNeighborRateRatio (bool): This parameter requires a computeNeighborPropDelay of type kBool
			ComputeNeighborPropDelay (bool): This parameter requires a string of session numbers 1-4;6;7-12

		Returns:
			list(dict(port:str[None|/api/v1/sessions/1/ixnetwork/vport],isSuccess:bool,data:str)): The return value is an array of structures where each structure consists of a /vport object reference, the success of the operation and the returned data of the operation for that /vport. This exec is not asynchronous.

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('gPtpSendSignaling', payload=locals(), response_object=None)

	def SendgPtpSignaling(self, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7):
		"""Executes the sendgPtpSignaling operation on the server.

		Send Signaling messages for the selected PTP IEEE 802.1AS sessions.

		Args:
			Arg2 (list(number)): List of indices into the device group for the corresponding device instances whose PTP sessions are used as the source of the signaling messages.
			Arg3 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired linkDelayInterval
			Arg4 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired timeSyncInterval
			Arg5 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired announceInterval
			Arg6 (bool): computeNeighborRateRatio flag
			Arg7 (bool): computeNeighborPropDelay flag

		Returns:
			list(str): ID to associate each async action invocation

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('sendgPtpSignaling', payload=locals(), response_object=None)

	def SendgPtpSignaling(self, Arg2, Arg3, Arg4, Arg5, Arg6):
		"""Executes the sendgPtpSignaling operation on the server.

		Send Signaling messages for all PTP IEEE 802.1AS sessions.

		Args:
			Arg2 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired linkDelayInterval
			Arg3 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired timeSyncInterval
			Arg4 (str(doNotChange|initial|stop|v0_1_per_second_|v1_1_per_2_seconds_|v2_1_per_4_seconds_|v3_1_per_8_seconds_|v4_1_per_16_seconds_|v5_1_per_32_seconds_|v6_1_per_64_seconds_|v7_1_per_128_seconds_|v8_1_per_256_seconds_|v9_1_per_512_seconds_|vneg1_2_per_second_|vneg2_4_per_second_|vneg3_8_per_second_|vneg4_16_per_second_|vneg5_32_per_second_|vneg6_64_per_second_|vneg7_128_per_second_|vneg8_256_per_second_|vneg9_512_per_second_)): Desired announceInterval
			Arg5 (bool): computeNeighborRateRatio flag
			Arg6 (bool): computeNeighborPropDelay flag

		Returns:
			list(str): ID to associate each async action invocation

		Raises:
			NotFoundError: The requested resource does not exist on the server
			ServerError: The server has encountered an uncategorized error condition
		"""
		Arg1 = self.href
		return self._execute('sendgPtpSignaling', payload=locals(), response_object=None)
